// 本地联调开关
const localTest = 0;

// 服务器地址
let baseURL = null;

// websocket 服务器地址
let websocketUrl = null;

// 3D 地球瓦片路径
let tilesUrl = null;
// 3D 地球最大支持放大到多少级
const tilesMaxLevel = 18;

// 适配器地址
const adapterUrl = "http://10.155.32.4:8011/";

// 切换模块时是否提示当前模块名称(用于对内介绍项目时便捷显示模块名称)
const showModuleName = 0;

if (localTest) {
    // baseURL = "http://192.168.10.13:8082/" // 联机调试 - 石林
    // baseURL = "http://10.155.32.33:9001/" // 联机调试 - 谢生杰
    baseURL = "http://192.168.10.6:8082/" // 联机调试 - 王昌盛

    tilesUrl = "http://localhost:8080/static/cesium/Assets/Textures/NaturalEarthII";
} else {
    baseURL = "http://10.155.32.4:8082/" // 正式环境
    // baseURL = "http://192.168.1.103:8082/" // 正式环境

    tilesUrl = "http://10.155.32.4:8070/zhfx/new_tiles";
}

websocketUrl = (baseURL.replace(/http:\/\/|https:\/\//g, "")) + "gyee-websocket";

window.__MODE__ = {
    baseURL,
    websocketUrl,
    adapterUrl,
    tilesUrl,
    tilesMaxLevel,
    showModuleName
};